summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-08 22:03:35 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-08 22:03:35 +0300
commitfca1434ef9fb3d1fedfd446333bc6c56985de597 (patch)
treebf27c5041bd60bff44c9ff4b125308236c82fe1d
parentbc9c2dc4a74db0b73ffe5669529d8f072435ce3a (diff)
downloadtools-fca1434ef9fb3d1fedfd446333bc6c56985de597.tar.gz
tools-fca1434ef9fb3d1fedfd446333bc6c56985de597.tar.bz2
tools-fca1434ef9fb3d1fedfd446333bc6c56985de597.tar.xz
tools-fca1434ef9fb3d1fedfd446333bc6c56985de597.zip
gitlab-ci: add testxml into client data build script.
-rwxr-xr-xgitlab-ci/clientdata.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/gitlab-ci/clientdata.sh b/gitlab-ci/clientdata.sh
index 8ed9dac..e236cfc 100755
--- a/gitlab-ci/clientdata.sh
+++ b/gitlab-ci/clientdata.sh
@@ -24,6 +24,14 @@ if [[ -n "${RES}" ]]; then
exit 1
fi
+./testxml.py silent >../../clientdata/.shared/error.log
+if [ "$?" != 0 ]; then
+ echo "test xml error"
+ exit 2
+fi
+
+echo >../../clientdata/.shared/error.log
+
cd ../update
./createnew.sh
./create_music.sh